Bug 1178798 - Flush button closing all connections
Summary: Flush button closing all connections
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER2
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1181430
TreeView+ depends on / blocked
 
Reported: 2015-01-05 13:48 UTC by Sergio Santos
Modified: 2018-03-05 15:32 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-557 Blocker Resolved :flush-all-connection-in-pool called 2018-08-09 08:09 UTC
JBoss Issue Tracker JBTM-2326 Major Open Provide a management interface to see a list of Xids that are being being considered for recovery by the recovery manage... 2018-08-09 08:09 UTC

Description Sergio Santos 2015-01-05 13:48:36 UTC
Description of problem:

The Flush button located on "Data Source Metrics" screen of Web Console is closing all connections in the pool.

This is very dangerous. If it is used in production environment It may close In Use Connections what may lead to serious application errors.

The ideal would be to close only the Idle Connections or to have two buttons named "Flush Idle Connections" and "Flush All Connections" to be clear on what will be done.

Comment 3 JBoss JIRA Server 2015-01-09 09:00:26 UTC
Bartosz Baranowski <bbaranow@redhat.com> updated the status of jira HAL-557 to Coding In Progress

Comment 6 Kabir Khan 2015-01-14 17:17:42 UTC
Heiko confirms this can be done for ER2

Comment 7 Harald Pehl 2015-01-15 07:43:23 UTC
I will take care of this issue.

Comment 8 JBoss JIRA Server 2015-01-16 06:57:50 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-557 to Resolved

Comment 9 Pavel Jelinek 2015-02-17 13:38:07 UTC
For EAP 6.4.0.ER2 neither the Flush button in Data Source Metrics nor the similar button in JDBC Datasources Pool tab flushes the active connections any more.


Note You need to log in before you can comment on or make changes to this bug.